Index: uspace/lib/c/generic/vfs/vfs.c
===================================================================
--- uspace/lib/c/generic/vfs/vfs.c	(revision 0d0b3197a149bb5e5c53d21136df5b8c283cdc4a)
+++ uspace/lib/c/generic/vfs/vfs.c	(revision c9e09f26171e31413438891ef35603df24ce8ac7)
@@ -236,5 +236,5 @@
  *                      handle will be allocated from high indices
  *
- * @return              New file handle on success or a negative error code
+ * @return              New file handle on success or an error code
  */
 int vfs_clone(int file_from, int file_to, bool high, int *handle)
@@ -259,5 +259,5 @@
  * @param size          Size of @a buf
  *
- * @return              EOK on success or a non-negative error code
+ * @return              EOK on success or a non-error code
  */
 int vfs_cwd_get(char *buf, size_t size)
@@ -280,5 +280,5 @@
  * @param path  Path of the new working directory
  *
- * @return      EOK on success or a negative error code
+ * @return      EOK on success or an error code
  */
 int vfs_cwd_set(const char *path)
@@ -370,5 +370,5 @@
  * @param info    Place to store volume identification information
  *
- * @return                      EOK on success or a negative error code
+ * @return                      EOK on success or an error code
  */
 int vfs_fsprobe(const char *fs_name, service_id_t serv,
@@ -404,5 +404,5 @@
  *        fstypes->fstypes[0..]. To free the list use vfs_fstypes_free().
  *
- * @return                      EOK on success or a negative error code
+ * @return                      EOK on success or an error code
  */
 int vfs_fstypes(vfs_fstypes_t *fstypes)
@@ -499,5 +499,5 @@
  * @param[out] linkedfd If not NULL, will receive a file handle to the linked
  *                      child
- * @return              EOK on success or a negative error code
+ * @return              EOK on success or an error code
  */
 int vfs_link(int parent, const char *child, vfs_file_kind_t kind, int *linkedfd)
@@ -529,5 +529,5 @@
  * @param[out] linkedfd If not NULL, will receive a file handle to the linked
  *                      child
- * @return              EOK on success or a negative error code
+ * @return              EOK on success or an error code
  */
 int vfs_link_path(const char *path, vfs_file_kind_t kind, int *linkedfd)
@@ -585,5 +585,5 @@
  * @param[out] handle Pointer to variable where handle is to be written.
  *
- * @return      EOK on success or a negative error code
+ * @return      EOK on success or an error code
  */
 int vfs_lookup_open(const char *path, int flags, int mode, int *handle)
@@ -614,5 +614,5 @@
  * @param[out] mountedfd        File handle of the mounted root if not NULL
  *
- * @return                      EOK on success or a negative error code
+ * @return                      EOK on success or an error code
  */
 int vfs_mount(int mp, const char *fs_name, service_id_t serv, const char *opts,
@@ -658,5 +658,5 @@
  * @param[in] instance          Instance number of the file system server
  *
- * @return                      EOK on success or a negative error code
+ * @return                      EOK on success or an error code
  */
 int vfs_mount_path(const char *mp, const char *fs_name, const char *fqsn,
@@ -752,5 +752,5 @@
  * @param mode  Mode in which to open file in
  *
- * @return      EOK on success or a negative error code
+ * @return      EOK on success or an error code
  */
 int vfs_open(int file, int mode)
@@ -769,5 +769,5 @@
  * @param exch          Exchange to the acceptor
  *
- * @return              EOK on success or a negative error code
+ * @return              EOK on success or an error code
  */
 int vfs_pass_handle(async_exch_t *vfs_exch, int file, async_exch_t *exch)
@@ -781,5 +781,5 @@
  * @param file  File handle to put
  *
- * @return      EOK on success or a negative error code
+ * @return      EOK on success or an error code
  */
 int vfs_put(int file)
@@ -798,5 +798,5 @@
  * @param[out] handle  Received handle.
  *
- * @return       EOK on success or a negative error code
+ * @return       EOK on success or an error code
  */
 int vfs_receive_handle(bool high, int *handle)
@@ -877,5 +877,5 @@
  * @param[out] nread	Actual number of bytes read (0 or more)
  *
- * @return              EOK on success or a negative error code
+ * @return              EOK on success or an error code
  */
 int vfs_read_short(int file, aoff64_t pos, void *buf, size_t nbyte,
@@ -919,5 +919,5 @@
  * @param new   New path
  *
- * @return      EOK on success or a negative error code
+ * @return      EOK on success or an error code
  */
 int vfs_rename_path(const char *old, const char *new)
@@ -986,5 +986,5 @@
  * @param length        New length
  *
- * @return              EOK on success or a negative error code
+ * @return              EOK on success or an error code
  */
 int vfs_resize(int file, aoff64_t length)
@@ -1050,5 +1050,5 @@
  * @param[out] stat     Place to store file information
  *
- * @return              EOK on success or a negative error code
+ * @return              EOK on success or an error code
  */
 int vfs_stat(int file, struct stat *stat)
@@ -1084,5 +1084,5 @@
  * @param[out] stat     Place to store file information
  *
- * @return              EOK on success or a negative error code
+ * @return              EOK on success or an error code
  */
 int vfs_stat_path(const char *path, struct stat *stat)
@@ -1105,5 +1105,5 @@
  * @param[out] st       Buffer for storing information
  *
- * @return              EOK on success or a negative error code
+ * @return              EOK on success or an error code
  */
 int vfs_statfs(int file, struct statfs *st)
@@ -1130,5 +1130,5 @@
  * @param[out] st       Buffer for storing information
  *
- * @return              EOK on success or a negative error code
+ * @return              EOK on success or an error code
  */
 int vfs_statfs_path(const char *path, struct statfs *st)
@@ -1150,5 +1150,5 @@
  * @param file  File handle to synchronize
  *
- * @return      EOK on success or a negative error code
+ * @return      EOK on success or an error code
  */
 int vfs_sync(int file)
@@ -1172,5 +1172,5 @@
  * @param expect        File handle of the unlinked child
  *
- * @return              EOK on success or a negative error code
+ * @return              EOK on success or an error code
  */
 int vfs_unlink(int parent, const char *child, int expect)
@@ -1201,5 +1201,5 @@
  * @param path          Old path to be unlinked
  *
- * @return              EOK on success or a negative error code
+ * @return              EOK on success or an error code
  */
 int vfs_unlink_path(const char *path)
@@ -1230,5 +1230,5 @@
  * @param mp    File handle representing the mount-point
  *
- * @return      EOK on success or a negative error code
+ * @return      EOK on success or an error code
  */
 int vfs_unmount(int mp)
@@ -1244,5 +1244,5 @@
  * @param mpp   Mount-point path
  *
- * @return      EOK on success or a negative error code
+ * @return      EOK on success or an error code
  */
 int vfs_unmount_path(const char *mpp)
@@ -1341,5 +1341,5 @@
  * @param[out] nread    Actual number of bytes written (0 or more)
  *
- * @return              EOK on success or a negative error code
+ * @return              EOK on success or an error code
  */
 int vfs_write_short(int file, aoff64_t pos, const void *buf, size_t nbyte,
